""".. include:: ../../../README.md"""  # noqa: D415
# isort:skip_file
# TODO: Sorting the imports causes a circular import error. Fix this.
from .guppies import (
    Agent,
    TurnBoostAgent,
    ConstantVelocityAgent,
    TurnSpeedAgent,
    VelocityControlledAgent,
    Guppy,
    DummyGuppy,
    TurnSpeedGuppy,
    TurnBoostGuppy,
    BaseCouzinGuppy,
    ClassicCouzinGuppy,
    BoostCouzinGuppy,
    AdaptiveCouzinGuppy,
    BiasedAdaptiveCouzinGuppy,
    PerturbedAdaptiveCouzinGuppy,
    Robot,
    TurnSpeedRobot,
    TurnBoostRobot,
    GlobalTargetRobot,
    PolarCoordinateTargetRobot,
    TurnRobot,
    GoToRobot,
    TorqueGuppy,
    TorqueThrustAgent,
    AdaptiveAgent,
    BoostGuppy,
    RandomTurnBoostGuppy,
)

from .envs import GuppyEnv, GoalGuppyEnv, VariableStepGuppyEnv, VariableStepGoalGuppyEnv
from .wrappers import (
    RayCastingWrapper,
    FrameStack,
    DiscreteActionWrapper,
    IgnorePastWallsWrapper,
)
from .reward import (
    clipped_reward,
    exp,
    negative_distance_to_swarm,
    follow_reward,
    approach_swarm_reward,
    proximity_to_center_reward,
    wall_avoidance_gate,
    in_zor_gate,
    in_zoi_gate,
    in_zoi_reward,
    negative_distance_to_center,
    goal_reward,
    relative_goal_reward,
)


__all__ = [
    "Agent",
    "TurnBoostAgent",
    "ConstantVelocityAgent",
    "TurnSpeedAgent",
    "VelocityControlledAgent",
    "Guppy",
    "DummyGuppy",
    "TurnSpeedGuppy",
    "TurnBoostGuppy",
    "BaseCouzinGuppy",
    "ClassicCouzinGuppy",
    "BoostCouzinGuppy",
    "AdaptiveCouzinGuppy",
    "BiasedAdaptiveCouzinGuppy",
    "PerturbedAdaptiveCouzinGuppy",
    "Robot",
    "TurnSpeedRobot",
    "TurnBoostRobot",
    "GlobalTargetRobot",
    "PolarCoordinateTargetRobot",
    "TurnRobot",
    "GoToRobot",
    "TorqueGuppy",
    "TorqueThrustAgent",
    "AdaptiveAgent",
    "BoostGuppy",
    "RandomTurnBoostGuppy",
    "GuppyEnv",
    "GoalGuppyEnv",
    "VariableStepGuppyEnv",
    "VariableStepGoalGuppyEnv",
    "RayCastingWrapper",
    "FrameStack",
    "DiscreteActionWrapper",
    "IgnorePastWallsWrapper",
    "clipped_reward",
    "exp",
    "negative_distance_to_swarm",
    "follow_reward",
    "approach_swarm_reward",
    "proximity_to_center_reward",
    "wall_avoidance_gate",
    "in_zor_gate",
    "in_zoi_gate",
    "in_zoi_reward",
    "negative_distance_to_center",
    "goal_reward",
    "relative_goal_reward",
]

__pdoc__ = {x: False for x in __all__}
